/**
 * Represents a configuration of the Turing Machine,
 * i.e. a tuple of tape content, current state and head position
 */
public class TMConfiguration {
	private TMTape tape;
	private TMState state;
	private int position;
	
	public TMConfiguration(TMTape t, TMState s, int pos) {
		tape = t;
		state = s;
		position = pos;
	}
	
	// Formatted output of configuration, 
	// may be used to identify equivalent configurations	
	public String toString() {
		return "<" + tape.toString() + "," + state + "," + position + ">";
	}
	
	// Standard getter/setter methods
	public TMState getState() { return state; }
	public TMTape getTape() { return tape; }
	public void setState(TMState state) { this.state = state; }
	public void setTape(TMTape tape) { this.tape = tape; }
	public int getPosition() { return position; }
	public void setPosition(int i) { position = i; }
}
