/**
 * Represents a member of the Turing Machine transition relation,
 * i.e. a tuple of state, output symbol and new head direction
 */
public class TMResult {
	private TMState state;
	private TMSymbol symbol;
	private int headDirection;
	
	public TMResult(TMState s, TMSymbol sym, int dir) {
		state = s; symbol = sym; headDirection = dir;
	}

	// Standard getter/setter methods
	public TMState getState() {return state;}
	public TMSymbol getSymbol() {return symbol;}
	public void setState(TMState state) {this.state = state;}
	public void setSymbol(TMSymbol s) {symbol = s;}
	public int getHeadDirection() {return headDirection;}
	public void setHeadDirection(int i) {headDirection = i;}
}
